import http from "@/http/http.js";
const request = http.request;
const urlType = "account";

export function allShopList(data) {
  return request({
    url: `${urlType}/admin/shopInfo`,
    method: "GET",
    data: {
      ...data,
    },
  });
}

export function addShop(data) {
  return request({
    url: `${urlType}/admin/shopInfo`,
    method: "post",
    data: {
      ...data,
    },
  });
}
export function editShop(data) {
  return request({
    url: `${urlType}/admin/shopInfo`,
    method: "put",
    data: {
      ...data,
    },
  });
}
export function getShopDetail(data) {
  return request({
    url: `${urlType}/admin/shopInfo/detail`,
    method: "get",
    data: {
      ...data,
    },
  });
}
export function delShop(data) {
  return request({
    url: `${urlType}/admin/shopInfo`,
    method: "DELETE",
    data: {
      ...data,
    },
  });
}